# -*- coding: utf-8 -*-

import mysql.simplesql as sql


def insertAlcoSet(barcode):
    yield sql.Insert(table='alcoset', values={
        'alcosetbarcode': barcode.get('alcosetbarcode'),
        'code': barcode.get('code'),
        'barcode': barcode.get('barcode'),
        'price': barcode.get('price', None),
        'taracapacity': barcode.get('taracapacity', 1.0),
        'quant': barcode.get('quant', 1)
    })


def deleteAlcoSet(alcoset):
    yield sql.Delete(table='alcoset',
            whereFields=['alcosetbarcode', 'barcode'],
            whereValues=[alcoset.get('alcosetbarcode', None), alcoset.get('barcode', None)])


def clearAlcoSet():
    yield sql.DeleteAll(table='alcoset')
