import mysql.simplesql as sql

def insertNote(note):
    yield sql.Insert(table='note', values={
        "id": note.get('id'),
        "name": note.get('name', None),
        "type": note.get('type', None),
        "triggertype": note.get('triggertype', None),
        "saveresult": note.get('saveresult', None),
        "template": note.get('template', None),
    })

def clearNote():
    yield sql.DeleteAll(table='note')

def deleteNote(object):
    noteid = object.get('id', None)
    if noteid:
        yield sql.Delete(table='note', whereFields=['id'], whereValues=[noteid])

def deleteNoteById(id):
    yield sql.Delete(table='note', whereFields=['id'], whereValues=[id])